Browse code

pkg/kamailio/deb: add bullseye

Victor Seva authored on 07/01/2021 10:37:16
Showing 22 changed files
1 1
new file mode 100644
... ...
@@ -0,0 +1,23 @@
1
+kamailio (5.5.0~dev3) unstable; urgency=medium
2
+
3
+  * version set 5.5.0~dev3
4
+
5
+ -- Victor Seva <vseva@debian.org>  Mon, 19 Oct 2020 11:13:02 +0200
6
+
7
+kamailio (5.5.0~dev2) unstable; urgency=medium
8
+
9
+  * version set 5.5.0~dev2 
10
+
11
+ -- Victor Seva <vseva@debian.org>  Tue, 01 Sep 2020 09:13:19 +0200
12
+
13
+kamailio (5.5.0~dev1) unstable; urgency=medium
14
+
15
+  * version set 5.5.0~dev1 
16
+
17
+ -- Victor Seva <vseva@debian.org>  Fri, 17 Jul 2020 10:42:10 +0200
18
+
19
+kamailio (5.5.0~dev0) unstable; urgency=medium
20
+
21
+  * version set 5.5.0~dev0
22
+
23
+ -- Victor Seva <vseva@debian.org>  Fri, 10 Jul 2020 13:47:04 +0200
0 24
new file mode 100644
... ...
@@ -0,0 +1 @@
1
+9
0 2
new file mode 100644
... ...
@@ -0,0 +1,868 @@
1
+Source: kamailio
2
+Section: net
3
+Priority: optional
4
+Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
5
+Uploaders:
6
+ Victor Seva <vseva@debian.org>,
7
+ Tzafrir Cohen <tzafrir@debian.org>,
8
+Build-Depends:
9
+ bison,
10
+ debhelper (>= 9),
11
+ default-libmysqlclient-dev,
12
+ docbook-xml,
13
+ dpkg-dev (>= 1.16.1.1),
14
+ erlang-dev,
15
+ flex,
16
+ libcurl4-openssl-dev,
17
+ libdb-dev (>= 4.6.19),
18
+ libev-dev,
19
+ libevent-dev,
20
+ libexpat1-dev,
21
+ libgeoip-dev (>= 1.4.5),
22
+ libhiredis-dev (>= 0.10.0),
23
+ libjansson-dev,
24
+ libjson-c-dev,
25
+ libldap2-dev,
26
+ liblua5.1-0-dev,
27
+ libmaxminddb-dev,
28
+ libmemcached-dev,
29
+ libmnl-dev,
30
+ libmongoc-dev,
31
+ libmono-2.0-dev,
32
+ libmosquitto-dev,
33
+ libncurses5-dev,
34
+ libpcre3-dev,
35
+ libperl-dev,
36
+ libphonenumber-dev (>= 7),
37
+ libpq-dev,
38
+ librabbitmq-dev,
39
+ libradcli-dev,
40
+ libreadline-dev,
41
+ libsasl2-dev,
42
+ libsctp-dev,
43
+ libsnmp-dev,
44
+ libsqlite3-dev,
45
+ libssl-dev,
46
+ libsystemd-dev,
47
+ libunistring-dev,
48
+ libxml2-dev,
49
+ openssl,
50
+ pkg-config,
51
+ python,
52
+ python-dev,
53
+ python3,
54
+ python3-dev,
55
+ ruby-dev,
56
+ unixodbc-dev,
57
+ uuid-dev,
58
+ xsltproc,
59
+ zlib1g-dev,
60
+Standards-Version: 3.9.5
61
+Homepage: http://www.kamailio.org/
62
+Vcs-git: git://anonscm.debian.org/pkg-voip/kamailio.git
63
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-voip/kamailio.git
64
+
65
+Package: kamailio
66
+Architecture: linux-any
67
+Multi-Arch: foreign
68
+Pre-Depends:
69
+ ${misc:Pre-Depends},
70
+Depends:
71
+ adduser,
72
+ lsb-base,
73
+ python3,
74
+ ${misc:Depends},
75
+ ${shlibs:Depends},
76
+Replaces:
77
+ kamailio-carrierroute-modules,
78
+Suggests:
79
+ kamailio-berkeley-modules,
80
+ kamailio-cpl-modules,
81
+ kamailio-dbg,
82
+ kamailio-ldap-modules,
83
+ kamailio-lua-modules,
84
+ kamailio-mysql-modules,
85
+ kamailio-perl-modules,
86
+ kamailio-postgres-modules,
87
+ kamailio-presence-modules,
88
+ kamailio-python-modules,
89
+ kamailio-radius-modules,
90
+ kamailio-snmpstats-modules,
91
+ kamailio-tls-modules,
92
+ kamailio-unixodbc-modules,
93
+ kamailio-xml-modules,
94
+ kamailio-xmpp-modules,
95
+Description: very fast, dynamic and configurable SIP server
96
+ Kamailio is a very fast and flexible SIP (RFC3261)
97
+ server. Written entirely in C, kamailio can handle thousands requests
98
+ per second even on low-budget hardware. It can be configured to act
99
+ as a SIP proxy, application server, session border controller,
100
+ or call load balancer to handle a set of media servers.
101
+ .
102
+ A C Shell like scripting language provides full control over the server's
103
+ behaviour. It's easy to integrate Kamailio with 3rd party API's and applications
104
+ using HTTP, AMQP, database drivers, LDAP, Radius and many other solutions.
105
+ In addition there is support for scripting using Lua, Python, Perl, Java and
106
+ a set of other languages using Mono.
107
+ .
108
+ Kamailio's modular architecture allows only required functionality to be loaded.
109
+ There are over 100 modules available: WebSockets for WebRTC, authentication,
110
+ multiple databases - both traditional SQL databases as well as no-SQL,
111
+ message bus systems like Rabbit MQ, instant messaging, a presence agent,
112
+ integration with REST-ful APIs using HTTP and JSON or XML,
113
+ radius authentication, record routing, an SMS gateway, a XMPP/jabber gateway, a
114
+ transaction and dialog module, OSP module, statistics support,
115
+ registrar and user location services, SNMP, SIMPLE Presence and much more.
116
+ .
117
+ This package contains the main Kamailio binary along with the principal modules
118
+ and support binaries.
119
+
120
+Package: kamailio-dbg
121
+Priority: extra
122
+Section: debug
123
+Architecture: linux-any
124
+Multi-Arch: same
125
+Pre-Depends:
126
+ ${misc:Pre-Depends},
127
+Depends:
128
+ kamailio (= ${binary:Version}),
129
+ ${misc:Depends},
130
+Description: very fast and configurable SIP server [debug symbols]
131
+ Kamailio is a very fast and flexible SIP (RFC3261)
132
+ server. Written entirely in C, Kamailio can handle thousands calls
133
+ per second even on low-budget hardware.
134
+ .
135
+ This package contains the debugging symbols for the Kamailio binaries and
136
+ modules. You only need to install it if you need to debug Kamailio.
137
+
138
+Package: kamailio-geoip-modules
139
+Architecture: linux-any
140
+Multi-Arch: same
141
+Pre-Depends:
142
+ ${misc:Pre-Depends},
143
+Depends:
144
+ kamailio (= ${binary:Version}),
145
+ ${misc:Depends},
146
+ ${shlibs:Depends},
147
+Description: The geoip module for the Kamailio SIP Server
148
+ Kamailio is a very fast and flexible SIP (RFC3261)
149
+ server. Written entirely in C, Kamailio can handle thousands calls
150
+ per second even on low-budget hardware.
151
+ .
152
+ This package provides the geoip module, an extension enabling
153
+ usage of the GeoIP API within the Kamailio configuration file.
154
+
155
+Package: kamailio-geoip2-modules
156
+Architecture: linux-any
157
+Multi-Arch: same
158
+Pre-Depends:
159
+ ${misc:Pre-Depends},
160
+Depends:
161
+ kamailio (= ${binary:Version}),
162
+ ${misc:Depends},
163
+ ${shlibs:Depends},
164
+Description: The geoip2 module for the Kamailio SIP Server
165
+ Kamailio is a very fast and flexible SIP (RFC3261)
166
+ server. Written entirely in C, Kamailio can handle thousands calls
167
+ per second even on low-budget hardware.
168
+ .
169
+ This package provides the geoip2 module, an extension enabling
170
+ real-time queries against the Max Mind GeoIP2 database within the Kamailio
171
+ configuration file.
172
+
173
+Package: kamailio-sqlite-modules
174
+Architecture: linux-any
175
+Multi-Arch: same
176
+Pre-Depends:
177
+ ${misc:Pre-Depends},
178
+Depends:
179
+ kamailio (= ${binary:Version}),
180
+ ${misc:Depends},
181
+ ${shlibs:Depends},
182
+Recommends:
183
+ sqlite3,
184
+Description: SQLite database connectivity module for the Kamailio SIP server
185
+ Kamailio is a very fast and flexible SIP (RFC3261)
186
+ server. Written entirely in C, Kamailio can handle thousands calls
187
+ per second even on low-budget hardware.
188
+ .
189
+ This package provides the SQLite database driver for Kamailio.
190
+
191
+Package: kamailio-json-modules
192
+Architecture: linux-any
193
+Multi-Arch: same
194
+Pre-Depends:
195
+ ${misc:Pre-Depends},
196
+Depends:
197
+ kamailio (= ${binary:Version}),
198
+ ${misc:Depends},
199
+ ${shlibs:Depends},
200
+Description: Json parser and Json-RPC modules for the Kamailio SIP server
201
+ Kamailio is a very fast and flexible SIP (RFC3261)
202
+ server. Written entirely in C, Kamailio can handle thousands calls
203
+ per second even on low-budget hardware.
204
+ .
205
+ This package provides a JSON parser for use in the Kamailio
206
+ configuration file and the JSON-RPC client over netstrings.
207
+
208
+Package: kamailio-memcached-modules
209
+Architecture: linux-any
210
+Multi-Arch: same
211
+Pre-Depends:
212
+ ${misc:Pre-Depends},
213
+Depends:
214
+ kamailio (= ${binary:Version}),
215
+ ${misc:Depends},
216
+ ${shlibs:Depends},
217
+Replaces:
218
+ kamailio-memcached-module,
219
+Description: interface to the memcached server, for the Kamailio SIP server
220
+ Kamailio is a very fast and flexible SIP (RFC3261)
221
+ server. Written entirely in C, Kamailio can handle thousands calls
222
+ per second even on low-budget hardware.
223
+ .
224
+ This package provides the memcached module, an interface to the memcached
225
+ server, a high-performance, distributed memory object caching system.
226
+
227
+Package: kamailio-lua-modules
228
+Architecture: linux-any
229
+Multi-Arch: same
230
+Pre-Depends:
231
+ ${misc:Pre-Depends},
232
+Depends:
233
+ kamailio (= ${binary:Version}),
234
+ ${misc:Depends},
235
+ ${shlibs:Depends},
236
+Description: The app_lua module for Kamailio Lua support
237
+ Kamailio is a very fast and flexible SIP (RFC3261)
238
+ server. Written entirely in C, Kamailio can handle thousands calls
239
+ per second even on low-budget hardware.
240
+ .
241
+ This package provides the app_lua module, an extension allowing to
242
+ execute embedded Lua applications within the configuration file as
243
+ well as writing the entire configuration file in Lua.
244
+
245
+Package: kamailio-mono-modules
246
+Architecture: linux-any
247
+Multi-Arch: same
248
+Pre-Depends:
249
+ ${misc:Pre-Depends},
250
+Depends:
251
+ kamailio (= ${binary:Version}),
252
+ ${misc:Depends},
253
+ ${shlibs:Depends},
254
+Description: The app_mono module for the Kamailio SIP server
255
+ Kamailio is a very fast and flexible SIP (RFC3261)
256
+ server. Written entirely in C, Kamailio can handle thousands calls
257
+ per second even on low-budget hardware.
258
+ .
259
+ This package provides the app_mono module, an extension allowing to
260
+ execute embedded Mono applications within the Kamailio SIP routing script.
261
+
262
+Package: kamailio-python-modules
263
+Architecture: linux-any
264
+Multi-Arch: same
265
+Pre-Depends:
266
+ ${misc:Pre-Depends},
267
+Depends:
268
+ kamailio (= ${binary:Version}),
269
+ python-dev,
270
+ ${misc:Depends},
271
+ ${shlibs:Depends},
272
+Description: The app_python module for the Kamailio SIP server
273
+ Kamailio is a very fast and flexible SIP (RFC3261)
274
+ server. Written entirely in C, Kamailio can handle thousands calls
275
+ per second even on low-budget hardware.
276
+ .
277
+ This package provides the app_python module, an extension allowing to
278
+ execute embedded Python applications within the Kamailio SIP routing script.
279
+
280
+Package: kamailio-python3-modules
281
+Architecture: linux-any
282
+Multi-Arch: same
283
+Pre-Depends:
284
+ ${misc:Pre-Depends},
285
+Depends:
286
+ kamailio (= ${binary:Version}),
287
+ python3-dev,
288
+ ${misc:Depends},
289
+ ${shlibs:Depends},
290
+Description: The app_python3 module for the Kamailio SIP server
291
+ Kamailio is a very fast and flexible SIP (RFC3261)
292
+ server. Written entirely in C, Kamailio can handle thousands calls
293
+ per second even on low-budget hardware.
294
+ .
295
+ This package provides the app_python3 module, an extension allowing to
296
+ execute embedded Python applications within the Kamailio SIP routing script.
297
+
298
+Package: kamailio-ruby-modules
299
+Architecture: linux-any
300
+Multi-Arch: same
301
+Pre-Depends:
302
+ ${misc:Pre-Depends},
303
+Depends:
304
+ kamailio (= ${binary:Version}),
305
+ ${misc:Depends},
306
+ ${shlibs:Depends},
307
+Description: The app_ruby module for Kamailio Ruby support
308
+ Kamailio is a very fast and flexible SIP (RFC3261)
309
+ server. Written entirely in C, Kamailio can handle thousands calls
310
+ per second even on low-budget hardware.
311
+ .
312
+ This package provides the app_ruby module, an extension allowing to
313
+ execute embedded Ruby applications within the Kamailio SIP routing script.
314
+
315
+Package: kamailio-redis-modules
316
+Architecture: linux-any
317
+Multi-Arch: same
318
+Pre-Depends:
319
+ ${misc:Pre-Depends},
320
+Depends:
321
+ kamailio (= ${binary:Version}),
322
+ ${misc:Depends},
323
+ ${shlibs:Depends},
324
+Description: Redis database connectivity module for the Kamailio SIP server
325
+ Kamailio is a very fast and flexible SIP (RFC3261)
326
+ server. Written entirely in C, Kamailio can handle thousands calls
327
+ per second even on low-budget hardware.
328
+ .
329
+ This package provides the Redis NOSQL database driver for Kamailio.
330
+
331
+Package: kamailio-mysql-modules
332
+Architecture: linux-any
333
+Multi-Arch: same
334
+Pre-Depends:
335
+ ${misc:Pre-Depends},
336
+Depends:
337
+ default-mysql-client | virtual-mysql-client,
338
+ kamailio (= ${binary:Version}),
339
+ ${misc:Depends},
340
+ ${shlibs:Depends},
341
+Description: MySQL database connectivity module for Kamailio
342
+ Kamailio is a very fast and flexible SIP (RFC3261)
343
+ server. Written entirely in C, Kamailio can handle thousands calls
344
+ per second even on low-budget hardware.
345
+ .
346
+ This package provides the MySQL database driver for Kamailio.
347
+
348
+Package: kamailio-postgres-modules
349
+Architecture: linux-any
350
+Multi-Arch: same
351
+Pre-Depends:
352
+ ${misc:Pre-Depends},
353
+Depends:
354
+ kamailio (= ${binary:Version}),
355
+ postgresql-client,
356
+ ${misc:Depends},
357
+ ${shlibs:Depends},
358
+Description: PostgreSQL database connectivity module for the Kamailio SIP server
359
+ Kamailio is a very fast and flexible SIP (RFC3261)
360
+ server. Written entirely in C, Kamailio can handle thousands calls
361
+ per second even on low-budget hardware.
362
+ .
363
+ This package provides the PostgreSQL database driver for Kamailio.
364
+
365
+Package: kamailio-cpl-modules
366
+Architecture: linux-any
367
+Multi-Arch: same
368
+Pre-Depends:
369
+ ${misc:Pre-Depends},
370
+Depends:
371
+ kamailio (= ${binary:Version}),
372
+ ${misc:Depends},
373
+ ${shlibs:Depends},
374
+Description: CPL module (CPL interpreter engine) for the Kamailio SIP server
375
+ Kamailio is a very fast and flexible SIP (RFC3261)
376
+ server. Written entirely in C, Kamailio can handle thousands calls
377
+ per second even on low-budget hardware.
378
+ .
379
+ This package provides a CPL (Call Processing Language) interpreter for
380
+ Kamailio, turning Kamailio into a CPL server (storage and interpreter).
381
+
382
+Package: kamailio-radius-modules
383
+Architecture: linux-any
384
+Multi-Arch: same
385
+Breaks:
386
+ kamailio (<<5.1),
387
+Replaces:
388
+ kamailio (<<5.1),
389
+Pre-Depends:
390
+ ${misc:Pre-Depends},
391
+Depends:
392
+ kamailio (= ${binary:Version}),
393
+ ${misc:Depends},
394
+ ${shlibs:Depends},
395
+Description: RADIUS modules for the Kamailio SIP server
396
+ Kamailio is a very fast and flexible SIP (RFC3261)
397
+ server. Written entirely in C, Kamailio can handle thousands calls
398
+ per second even on low-budget hardware.
399
+ .
400
+ This package provides a set of RADIUS modules for Kamailio, for
401
+ authentication, peering, group membership and messages URIs checking against a
402
+ RADIUS server.
403
+
404
+Package: kamailio-unixodbc-modules
405
+Architecture: linux-any
406
+Multi-Arch: same
407
+Pre-Depends:
408
+ ${misc:Pre-Depends},
409
+Depends:
410
+ kamailio (= ${binary:Version}),
411
+ ${misc:Depends},
412
+ ${shlibs:Depends},
413
+Description: unixODBC database connectivity module for the Kamailio SIP server
414
+ Kamailio is a very fast and flexible SIP (RFC3261)
415
+ server. Written entirely in C, Kamailio can handle thousands calls
416
+ per second even on low-budget hardware.
417
+ .
418
+ This package provides the unixODBC database driver for Kamailio.
419
+
420
+Package: kamailio-presence-modules
421
+Architecture: linux-any
422
+Multi-Arch: same
423
+Pre-Depends:
424
+ ${misc:Pre-Depends},
425
+Depends:
426
+ kamailio (= ${binary:Version}),
427
+ ${misc:Depends},
428
+ ${shlibs:Depends},
429
+Description: SIP presence modules for Kamailio
430
+ Kamailio is a very fast and flexible SIP (RFC3261)
431
+ server. Written entirely in C, Kamailio can handle thousands calls
432
+ per second even on low-budget hardware.
433
+ .
434
+ This package provides several Kamailio modules for implementing a presence
435
+ server and presence user agent for rich presence, registrar-based presence,
436
+ external triggered presence with SIMPLE and XCAP support, as well as a
437
+ set of other SIP event packages..
438
+
439
+Package: kamailio-perl-modules
440
+Architecture: linux-any
441
+Multi-Arch: same
442
+Pre-Depends:
443
+ ${misc:Pre-Depends},
444
+Depends:
445
+ kamailio (= ${binary:Version}),
446
+ ${misc:Depends},
447
+ ${shlibs:Depends},
448
+Description: Perl extensions and database driver for the Kamailio SIP server
449
+ Kamailio is a very fast and flexible SIP (RFC3261)
450
+ server. Written entirely in C, Kamailio can handle thousands calls
451
+ per second even on low-budget hardware.
452
+ .
453
+ This package provides an interface for Kamailio to write Perl extensions and
454
+ the perlvdb database driver for Kamailio.
455
+
456
+Package: kamailio-snmpstats-modules
457
+Architecture: linux-any
458
+Multi-Arch: same
459
+Pre-Depends:
460
+ ${misc:Pre-Depends},
461
+Depends:
462
+ kamailio (= ${binary:Version}),
463
+ snmpd,
464
+ ${misc:Depends},
465
+ ${shlibs:Depends},
466
+Description: SNMP AgentX subagent module for the Kamailio SIP server
467
+ Kamailio is a very fast and flexible SIP (RFC3261)
468
+ server. Written entirely in C, Kamailio can handle thousands calls
469
+ per second even on low-budget hardware.
470
+ .
471
+ This package provides the snmpstats module for Kamailio. This module acts
472
+ as an AgentX subagent which connects to a master agent. The Kamailio MIBS are
473
+ included.
474
+
475
+Package: kamailio-xmpp-modules
476
+Architecture: linux-any
477
+Multi-Arch: same
478
+Pre-Depends:
479
+ ${misc:Pre-Depends},
480
+Depends:
481
+ kamailio (= ${binary:Version}),
482
+ ${misc:Depends},
483
+ ${shlibs:Depends},
484
+Description: XMPP gateway module for the Kamailio SIP server
485
+ Kamailio is a very fast and flexible SIP (RFC3261)
486
+ server. Written entirely in C, Kamailio can handle thousands calls
487
+ per second even on low-budget hardware.
488
+ .
489
+ This package provides the SIP to XMPP IM translator module for Kamailio.
490
+
491
+Package: kamailio-xml-modules
492
+Architecture: linux-any
493
+Multi-Arch: same
494
+Pre-Depends:
495
+ ${misc:Pre-Depends},
496
+Depends:
497
+ kamailio (= ${binary:Version}),
498
+ ${misc:Depends},
499
+ ${shlibs:Depends},
500
+Replaces:
501
+ kamailio-xml-module,
502
+ kamailio-xmlrpc-module,
503
+Provides:
504
+ kamailio-xmlrpc-modules,
505
+Description: XML based extensions for Kamailio's Management Interface
506
+ Kamailio is a very fast and flexible SIP (RFC3261)
507
+ server. Written entirely in C, Kamailio can handle thousands calls
508
+ per second even on low-budget hardware.
509
+ .
510
+ This package provides:
511
+ - the XMLRPC transport implementations for Kamailio's
512
+ Management and Control Interface.
513
+ - xmlops module for XPath operations in configuration file
514
+
515
+Package: kamailio-berkeley-modules
516
+Architecture: linux-any
517
+Multi-Arch: same
518
+Pre-Depends:
519
+ ${misc:Pre-Depends},
520
+Depends:
521
+ db-util (>= 4.6.19),
522
+ kamailio (= ${binary:Version}),
523
+ ${misc:Depends},
524
+ ${shlibs:Depends},
525
+Description: Berkeley database module for the Kamailio SIP server
526
+ Kamailio is a very fast and flexible SIP (RFC3261)
527
+ server. Written entirely in C, Kamailio can handle thousands calls
528
+ per second even on low-budget hardware.
529
+ .
530
+ This package provides the Berkeley database module for Kamailio, a
531
+ high-performance embedded database. All database tables are stored
532
+ in files, no additional server is necessary.
533
+
534
+Package: kamailio-berkeley-bin
535
+Architecture: linux-any
536
+Multi-Arch: foreign
537
+Pre-Depends:
538
+ ${misc:Pre-Depends},
539
+Depends:
540
+ ${misc:Depends},
541
+ ${shlibs:Depends},
542
+Description: Berkeley database module for Kamailio - helper program
543
+ Kamailio is a very fast and flexible SIP (RFC3261)
544
+ server. Written entirely in C, Kamailio can handle thousands calls
545
+ per second even on low-budget hardware.
546
+ .
547
+ This package provides helper modules for the Berkeley database module for
548
+ Kamailio, a high-performance embedded DB kernel. You should normally
549
+ install kamailio-berkeley-modules and not this package directly.
550
+
551
+Package: kamailio-ldap-modules
552
+Architecture: linux-any
553
+Multi-Arch: same
554
+Pre-Depends:
555
+ ${misc:Pre-Depends},
556
+Depends:
557
+ kamailio (= ${binary:Version}),
558
+ ${misc:Depends},
559
+ ${shlibs:Depends},
560
+Description: LDAP modules for the Kamailio SIP server
561
+ Kamailio is a very fast and flexible SIP (RFC3261)
562
+ server. Written entirely in C, Kamailio can handle thousands calls
563
+ per second even on low-budget hardware.
564
+ .
565
+ This package provides the ldap and h350 modules for Kamailio, enabling LDAP
566
+ queries from the Kamailio routing scripts and storage of SIP account data in an LDAP
567
+ directory.
568
+
569
+Package: kamailio-ims-modules
570
+Architecture: linux-any
571
+Multi-Arch: same
572
+Pre-Depends:
573
+ ${misc:Pre-Depends},
574
+Depends:
575
+ kamailio (= ${binary:Version}),
576
+ ${misc:Depends},
577
+ ${shlibs:Depends},
578
+Description: IMS module for the Kamailio SIP server
579
+ Kamailio is a very fast and flexible SIP (RFC3261)
580
+ server. Written entirely in C, Kamailio can handle thousands calls
581
+ per second even on low-budget hardware.
582
+ .
583
+ This package contains various Diameter interfaces and modules for Kamailio
584
+ to run as an IMS core.
585
+
586
+Package: kamailio-utils-modules
587
+Architecture: linux-any
588
+Multi-Arch: same
589
+Pre-Depends:
590
+ ${misc:Pre-Depends},
591
+Depends:
592
+ kamailio (= ${binary:Version}),
593
+ ${misc:Depends},
594
+ ${shlibs:Depends},
595
+Description: Utility functions for the Kamailio SIP server
596
+ Kamailio is a very fast and flexible SIP (RFC3261)
597
+ server. Written entirely in C, Kamailio can handle thousands calls
598
+ per second even on low-budget hardware.
599
+ .
600
+ This package provides a set of utility functions for Kamailio, as well
601
+ as modules for restful HTTP API access using the CURL library in the
602
+ http_client module.
603
+
604
+Package: kamailio-sctp-modules
605
+Architecture: linux-any
606
+Multi-Arch: same
607
+Pre-Depends:
608
+ ${misc:Pre-Depends},
609
+Depends:
610
+ kamailio (= ${binary:Version}),
611
+ ${misc:Depends},
612
+ ${shlibs:Depends},
613
+Description: SCTP SIP transport module for the Kamailio SIP server
614
+ Kamailio is a very fast and flexible SIP (RFC3261)
615
+ server. Written entirely in C, Kamailio can handle thousands calls
616
+ per second even on low-budget hardware.
617
+ .
618
+ This package provides the SCTP SIP transport module for Kamailio.
619
+
620
+Package: kamailio-tls-modules
621
+Architecture: linux-any
622
+Multi-Arch: same
623
+Pre-Depends:
624
+ ${misc:Pre-Depends},
625
+Depends:
626
+ kamailio (= ${binary:Version}),
627
+ ${misc:Depends},
628
+ ${shlibs:Depends},
629
+Description: TLS support for the Kamailio SIP server (authentication, transport)
630
+ Kamailio is a very fast and flexible SIP (RFC3261)
631
+ server. Written entirely in C, Kamailio can handle thousands calls
632
+ per second even on low-budget hardware.
633
+ .
634
+ This package provides TLS support for encrypted and authenticated
635
+ SIP connections as well as generic TLS support for many Kamailio modules.
636
+
637
+Package: kamailio-outbound-modules
638
+Architecture: linux-any
639
+Multi-Arch: same
640
+Pre-Depends:
641
+ ${misc:Pre-Depends},
642
+Depends:
643
+ kamailio (= ${binary:Version}),
644
+ ${misc:Depends},
645
+ ${shlibs:Depends},
646
+Description: SIP Outbound module for the Kamailio SIP server
647
+ Kamailio is a very fast and flexible SIP (RFC3261)
648
+ server. Written entirely in C, Kamailio can handle thousands calls
649
+ per second even on low-budget hardware.
650
+ .
651
+ This package contains the "outbound" module implementing SIP outbound extension.
652
+
653
+Package: kamailio-websocket-modules
654
+Architecture: linux-any
655
+Multi-Arch: same
656
+Pre-Depends:
657
+ ${misc:Pre-Depends},
658
+Depends:
659
+ kamailio (= ${binary:Version}),
660
+ ${misc:Depends},
661
+ ${shlibs:Depends},
662
+Description: WebSocket module for the Kamailio SIP server
663
+ Kamailio is a very fast and flexible SIP (RFC3261)
664
+ server. Written entirely in C, Kamailio can handle thousands calls
665
+ per second even on low-budget hardware.
666
+ .
667
+ This package contains the module implementing WebSocket transport layer
668
+ for use in SIP over WebSockets, in combination with WebRTC media sessions..
669
+
670
+Package: kamailio-autheph-modules
671
+Architecture: linux-any
672
+Multi-Arch: same
673
+Pre-Depends:
674
+ ${misc:Pre-Depends},
675
+Depends:
676
+ kamailio (= ${binary:Version}),
677
+ ${misc:Depends},
678
+ ${shlibs:Depends},
679
+Description: authentication using ephemeral credentials for the Kamailio SIP server
680
+ Kamailio is a very fast and flexible SIP (RFC3261)
681
+ server. Written entirely in C, Kamailio can handle thousands calls
682
+ per second even on low-budget hardware.
683
+ .
684
+ This package provides the ephemeral authentication module for Kamailio,
685
+ enabling authentication using a Restful HTTP API.
686
+
687
+Package: kamailio-kazoo-modules
688
+Architecture: linux-any
689
+Multi-Arch: same
690
+Pre-Depends:
691
+ ${misc:Pre-Depends},
692
+Depends:
693
+ kamailio (= ${binary:Version}),
694
+ ${misc:Depends},
695
+ ${shlibs:Depends},
696
+Description: kazoo modules for the Kamailio SIP server
697
+ Kamailio is a very fast and flexible SIP (RFC3261)
698
+ server. Written entirely in C, Kamailio can handle thousands calls
699
+ per second even on low-budget hardware.
700
+ .
701
+ This package provides the Kazoo application server integration module for Kamailio.
702
+
703
+Package: kamailio-rabbitmq-modules
704
+Architecture: linux-any
705
+Multi-Arch: same
706
+Pre-Depends:
707
+ ${misc:Pre-Depends},
708
+Depends:
709
+ kamailio (= ${binary:Version}),
710
+ ${misc:Depends},
711
+ ${shlibs:Depends},
712
+Description: RabbitMQ and AMQP integration modules for the Kamailio SIP server
713
+ Kamailio is a very fast and flexible SIP (RFC3261)
714
+ server. Written entirely in C, Kamailio can handle thousands calls
715
+ per second even on low-budget hardware.
716
+ .
717
+ This package provides the RabbitMQ module for Kamailio, enabling AMQP
718
+ integration into the SIP routing scripts for third party service
719
+ support.
720
+
721
+Package: kamailio-cnxcc-modules
722
+Architecture: linux-any
723
+Multi-Arch: same
724
+Pre-Depends:
725
+ ${misc:Pre-Depends},
726
+Depends:
727
+ kamailio (= ${binary:Version}),
728
+ ${misc:Depends},
729
+ ${shlibs:Depends},
730
+Description: cnxcc modules for the Kamailio SIP server
731
+ Kamailio is a very fast and flexible SIP (RFC3261)
732
+ server. Written entirely in C, Kamailio can handle thousands calls
733
+ per second even on low-budget hardware.
734
+ .
735
+ This package provides the cnxcc call charging control module for Kamailio.
736
+
737
+Package: kamailio-erlang-modules
738
+Architecture: linux-any
739
+Multi-Arch: same
740
+Pre-Depends:
741
+ ${misc:Pre-Depends},
742
+Depends:
743
+ kamailio (= ${binary:Version}),
744
+ ${misc:Depends},
745
+ ${shlibs:Depends},
746
+Description: Erlang modules for the Kamailio SIP server
747
+ Kamailio is a very fast and flexible SIP (RFC3261)
748
+ server. Written entirely in C, Kamailio can handle thousands calls
749
+ per second even on low-budget hardware.
750
+ .
751
+ This Kamailio module provides interaction with the Erlang node from the Kamailio
752
+ SIP routing scripts. The module allows sending, receiving Erlang messages
753
+ and RPC calls between each other.
754
+
755
+Package: kamailio-systemd-modules
756
+Architecture: linux-any
757
+Multi-Arch: same
758
+Pre-Depends:
759
+ ${misc:Pre-Depends},
760
+Depends:
761
+ kamailio (= ${binary:Version}),
762
+ ${misc:Depends},
763
+ ${shlibs:Depends},
764
+Description: systemd logging modules for the Kamailio SIP server
765
+ Kamailio is a very fast and flexible SIP (RFC3261)
766
+ server. Written entirely in C, Kamailio can handle thousands calls
767
+ per second even on low-budget hardware.
768
+ .
769
+ This package provides logging to systemd journal directly from the
770
+ Kamailio configuration and routing scripts.
771
+
772
+Package: kamailio-phonenum-modules
773
+Architecture: linux-any
774
+Multi-Arch: same
775
+Pre-Depends:
776
+ ${misc:Pre-Depends},
777
+Depends:
778
+ kamailio (= ${binary:Version}),
779
+ ${misc:Depends},
780
+ ${shlibs:Depends},
781
+Description: phonenum modules for the Kamailio SIP server
782
+ Kamailio is a very fast and flexible SIP (RFC3261)
783
+ server. Written entirely in C, Kamailio can handle thousands calls
784
+ per second even on low-budget hardware.
785
+ .
786
+ This package provides real-time queries against the libphonenumber to be
787
+ performed directly from the Kamailio configuration and routing scripts.
788
+
789
+Package: kamailio-mongodb-modules
790
+Architecture: linux-any
791
+Multi-Arch: same
792
+Pre-Depends:
793
+ ${misc:Pre-Depends},
794
+Depends:
795
+ kamailio (= ${binary:Version}),
796
+ ${misc:Depends},
797
+ ${shlibs:Depends},
798
+Description: mongodb modules for the Kamailio SIP server
799
+ Kamailio is a very fast and flexible SIP (RFC3261)
800
+ server. Written entirely in C, Kamailio can handle thousands calls
801
+ per second even on low-budget hardware.
802
+ .
803
+ This package provides the mongodb database driver and non-db connector for
804
+ Kamailio.
805
+
806
+Package: kamailio-mqtt-modules
807
+Architecture: linux-any
808
+Multi-Arch: same
809
+Pre-Depends:
810
+ ${misc:Pre-Depends},
811
+Depends:
812
+ kamailio (= ${binary:Version}),
813
+ ${misc:Depends},
814
+ ${shlibs:Depends},
815
+Description: MQTT modules for the Kamailio SIP Server
816
+ Kamailio is a very fast and flexible SIP (RFC3261)
817
+ server. Written entirely in C, Kamailio can handle thousands calls
818
+ per second even on low-budget hardware.
819
+ .
820
+ MQTT module allows bidirectional publish/subscribe communication by
821
+ connecting Kamailio to a MQTT Broker.
822
+ .
823
+ Messages can be published from any point in the routing script. Also
824
+ the subscriptions can be fully controlled by scripting commands.
825
+
826
+Package: kamailio-extra-modules
827
+Architecture: linux-any
828
+Multi-Arch: same
829
+Pre-Depends:
830
+ ${misc:Pre-Depends},
831
+Depends:
832
+ kamailio (= ${binary:Version}),
833
+ ${misc:Depends},
834
+ ${shlibs:Depends},
835
+Description: Extra modules for the Kamailio SIP Server
836
+ Kamailio is a very fast and flexible SIP (RFC3261)
837
+ server. Written entirely in C, Kamailio can handle thousands calls
838
+ per second even on low-budget hardware.
839
+ .
840
+ This package provides a set of modules for compression of SIP attachments,
841
+ UUID usage, JSON data structure support, HTTP restful API asynchronous
842
+ access and a few more functions: gzcompress uuid evapi jansson janssonrpcc http_async_client
843
+
844
+Package: kamailio-nth
845
+Architecture: any
846
+Pre-Depends:
847
+ ${misc:Pre-Depends},
848
+Depends:
849
+ binutils,
850
+ bison,
851
+ bvi,
852
+ flex,
853
+ gcc,
854
+ gdb,
855
+ iftop,
856
+ less | most,
857
+ lsof,
858
+ mc,
859
+ ngrep,
860
+ psmisc,
861
+ screen,
862
+ sipsak,
863
+ tcpdump,
864
+ vim,
865
+ ${misc:Depends},
866
+Description: Kamailio SIP server - package for "nice to have" utilities
867
+ This is a metapackage for easy installation various useful tools that may be
868
+ handy on server with Kamailio installed.
0 869
new file mode 100644
... ...
@@ -0,0 +1,335 @@
1
+Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
2
+Upstream-Name: Kamailio
3
+Upstream-Contact: sr-dev@lists.kamailio.org
4
+Source: http://www.kamailio.org/pub/kamailio/
5
+
6
+Files: *
7
+Copyright:
8
+ 2001-2003 FhG Fokus
9
+ 2006-2010 iptelorg GmbH
10
+ Various others (see AUTHORS file)
11
+License: GPL-2.0+
12
+ On Debian systems, the full text of the GNU General Public
13
+ License version 2 can be found in the file `/usr/share/common-licenses/GPL-2'.
14
+
15
+Files: debian/*
16
+Copyright: 2012, 2013, 2014 Victor Seva <linuxmaniac@torreviejawireless.org>
17
+           2009, 2010, 2011, Daniel-Constantin Mierla <miconda@gmail.com>
18
+           2010, Jon Bonilla <manwe@aholab.ehu.es>
19
+           2009, Jonas Bergler <jonas.bergler@staff.snap.net.nz>
20
+           2009, Henning Westerholt <henning.westerholt@1und1.de>
21
+           2007, Julien BLACHE <jblache@debian.org>
22
+License: GPL-2+
23
+ On Debian systems, the full text of the GNU General Public
24
+ License version 2 can be found in the file `/usr/share/common-licenses/GPL-2'.
25
+
26
+
27
+Files: atomic/* atomic_ops.* basex.* bit_*.c char_msg_val.h compiler_opt.h
28
+ core_stats.h counters.* endianness.* futexlock.h hashes.h io_wait.*
29
+ kstats_types.h lock_ops.c lock_ops_init.h
30
+ lvalue.* mem/ll_malloc.* mem/memdbg.h mem/sf_malloc.* mi/*.h mod_fix.*
31
+ modules/tm/rpc_uac.* modules/counters/counters.c modules/tls/sbufq.h
32
+ modules/tls/tls_bio.* modules/tls/tls_cfg.* modules/tls/tls_cfg.h
33
+ modules/tls/tls_ct_wrq.* modules/tls/tls_ct_q.h modules/tls/tls_domain.*
34
+ modules/tls/tls_server.h modules/tls/tls_locking.* modules/tls/tls_rpc.*
35
+ modules/tls/tls_server.c modules/malloc_test/malloc_test.c modules/blst/blst.c
36
+ parser/case_p_* parser/case_reas.h pvapi.h pv_core.* rand/fastrand.* raw_*
37
+ rpc_lookup.* rvalue.* sctp_* ser_time.h shm_init.* sip_msg_clone.* sock_ut.*
38
+ sr_compat.* str_hash.h switch.* tcp_ev.h tcp_int_send.h tcp_options.*
39
+ tcp_read.h tcp_stats.* timer_proc.* tls_hooks.* tls_hooks_init.h ver.*
40
+Copyright: 2006-2010 iptelorg GmbH
41
+License: ISC
42
+
43
+Files: modules/tls/tls_select.* modules/tls/tls_dump_vf.*
44
+Copyright: 2005-2010 iptelorg GmbH
45
+License: GPL-2 + OpenSSL exception
46
+ On Debian systems, the full text of the GNU General Public
47
+ License version 2 can be found in the file `/usr/share/common-licenses/GPL-2'.
48
+ * Exception: permission to copy, modify, propagate, and distribute a work
49
+ * formed by combining OpenSSL toolkit software and the code in this file,
50
+ * such as linking with software components and libraries released under
51
+ * OpenSSL project license.
52
+
53
+Files: modules/websocket/* modules/outbound/* modules/auth_ephemeral/*
54
+Copyright: 2012-2013 Crocodile RCS Ltd
55
+License: GPL-2 + OpenSSL exception
56
+ On Debian systems, the full text of the GNU General Public
57
+ License version 2 can be found in the file `/usr/share/common-licenses/GPL-2'.
58
+ * Exception: permission to copy, modify, propagate, and distribute a work
59
+ * formed by combining OpenSSL toolkit software and the code in this file,
60
+ * such as linking with software components and libraries released under
61
+ * OpenSSL project license.
62
+
63
+Files: daemonize.* fastlock.h lock_ops.h mem/mem.* mem/f_malloc.h
64
+ mem/meminfo.h mem/memtest.c mem/shm_mem.c mem/q_malloc.h mem/q_malloc.c
65
+ mem/shm_mem.h mem/f_malloc.c modules/tls/tls_rpc.c modules/tls/tls_server.c
66
+ modules/tls/tls_domain.c modules/tls/tls_domain.h modules/tls/tls_server.h
67
+ modules/tls/tls_rpc.h pt.c pt.h sched_yield.h ut.c ut.h
68
+Copyright: 2001-2003 FhG Fokus
69
+License: ISC
70
+
71
+Files: events.* modules/topoh/*
72
+Copyright: 2009 SIP-Router.org
73
+License: ISC
74
+
75
+Files: modules/mi_rpc/mi_rpc_mod.c modules/pv/pv_xavp.*
76
+ modules/usrloc/ul_rpc.* ppcfg.* xavp.*
77
+Copyright: 2009-2010 Daniel-Constantin Mierla (asipto.com)
78
+License: ISC
79
+
80
+Files: obsolete/jabber_k/tree234.*
81
+Copyright: 1999, 2000, 2001, Simon Tatham
82
+License: Expat
83
+ Permission is hereby granted, free of charge, to any person
84
+ obtaining a copy of this software and associated documentation
85
+ files (the "Software"), to deal in the Software without
86
+ restriction, including without limitation the rights to use,
87
+ copy, modify, merge, publish, distribute, sublicense, and/or
88
+ sell copies of the Software, and to permit persons to whom the
89
+ Software is furnished to do so, subject to the following
90
+ conditions:
91
+ .
92
+ The above copyright notice and this permission notice shall be
93
+ included in all copies or substantial portions of the Software.
94
+ .
95
+ THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
96
+ EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
97
+ OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
98
+ NONINFRINGEMENT.  IN NO EVENT SHALL SIMON TATHAM BE LIABLE FOR
99
+ ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF
100
+ CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
101
+ CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
102
+ SOFTWARE.
103
+
104
+Files: modules/xmpp/xsnprintf.c obsolete/jabber_s/xsnprintf.c obsolete/jabber_k/xsnprintf.c
105
+Copyright: 1995-1998, The Apache Group
106
+License: Apache-1.0
107
+ Redistribution and use in source and binary forms, with or without
108
+ modification, are permitted provided that the following conditions
109
+ are met:
110
+ .
111
+ 1. Redistributions of source code must retain the above copyright
112
+    notice, this list of conditions and the following disclaimer.
113
+ .
114
+ 2. Redistributions in binary form must reproduce the above copyright
115
+    notice, this list of conditions and the following disclaimer in
116
+    the documentation and/or other materials provided with the
117
+    distribution.
118
+ .
119
+ 3. All advertising materials mentioning features or use of this
120
+    software must display the following acknowledgment:
121
+    "This product includes software developed by the Apache Group
122
+    for use in the Apache HTTP server project (http://www.apache.org/)."
123
+ .
124
+ 4. The names "Apache Server" and "Apache Group" must not be used to
125
+    endorse or promote products derived from this software without
126
+    prior written permission.
127
+ .
128
+ 5. Redistributions of any form whatsoever must retain the following
129
+    acknowledgment:
130
+    "This product includes software developed by the Apache Group
131
+    for use in the Apache HTTP server project (http://www.apache.org/)."
132
+ .
133
+ THIS SOFTWARE IS PROVIDED BY THE APACHE GROUP ``AS IS'' AND ANY
134
+ EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
135
+ IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
136
+ PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE APACHE GROUP OR
137
+ ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
138
+ SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
139
+ NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
140
+ LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
141
+ HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
142
+ STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
143
+ ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
144
+ OF THE POSSIBILITY OF SUCH DAMAGE.
145
+
146
+Files: modules/mi_xmlrpc/abyss*
147
+Copyright: 2000, Moez Mahfoudh <mmoez@bigfoot.com>
148
+License: BSD-3-clause
149
+
150
+Files: list.h
151
+Copyright: 1991, 1993 The Regents of the University of California
152
+License: BSD-3-clause
153
+
154
+Files: modules/tm/t_serial.*
155
+Copyright: 2008 Juha Heinanen
156
+License: BSD-2-clause
157
+
158
+Files: parser/sdp/sdp.* parser/sdp/sdp_helpr_funcs.* parser/sdp/sdp_cloner.h
159
+Copyright:
160
+ 2008-2009 SOMA Networks, INC.
161
+ 2010 VoIP Embedded, Inc
162
+License: BSD-2-clause
163
+
164
+Files: modules/tls/fixed_c_zlib.h
165
+Copyright:1998-2005 The OpenSSL Project
166
+Comment: file copied from OpenSSL 0.9.8, refers to OpenSSL License. Note that
167
+ this code will not build by default in the Debian packaging.
168
+License: OpenSSL
169
+ Redistribution and use in source and binary forms, with or without
170
+ modification, are permitted provided that the following conditions
171
+ are met:
172
+ .
173
+ 1. Redistributions of source code must retain the above copyright
174
+    notice, this list of conditions and the following disclaimer.
175
+ .
176
+ 2. Redistributions in binary form must reproduce the above copyright
177
+    notice, this list of conditions and the following disclaimer in
178
+    the documentation and/or other materials provided with the
179
+    distribution.
180
+ .
181
+ 3. All advertising materials mentioning features or use of this
182
+    software must display the following acknowledgment:
183
+    "This product includes software developed by the OpenSSL Project
184
+    for use in the OpenSSL Toolkit. (http://www.openssl.org/)"
185
+ .
186
+ 4. The names "OpenSSL Toolkit" and "OpenSSL Project" must not be used to
187
+    endorse or promote products derived from this software without
188
+    prior written permission. For written permission, please contact
189
+    openssl-core@openssl.org.
190
+ .
191
+ 5. Products derived from this software may not be called "OpenSSL"
192
+    nor may "OpenSSL" appear in their names without prior written
193
+    permission of the OpenSSL Project.
194
+ .
195
+ 6. Redistributions of any form whatsoever must retain the following
196
+    acknowledgment:
197
+    "This product includes software developed by the OpenSSL Project
198
+    for use in the OpenSSL Toolkit (http://www.openssl.org/)"
199
+ .
200
+ THIS SOFTWARE IS PROVIDED BY THE OpenSSL PROJECT ``AS IS'' AND ANY
201
+ EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
202
+ IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
203
+ PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE OpenSSL PROJECT OR
204
+ ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
205
+ SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
206
+ NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
207
+ LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
208
+ HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
209
+ STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
210
+ ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
211
+ OF THE POSSIBILITY OF SUCH DAMAGE.
212
+
213
+Files: md5.* md5utils.c
214
+Copyright: 1991-2, RSA Data Security, Inc
215
+Comment: Note that md5.c and md5.h have been replaced in the patches
216
+ plum_md5*.patch .
217
+ .
218
+ As for md5utils.c, according to a mail from Upstream (Daniel-Constantin
219
+ Mierla): while the initial commit log for it states that it is derived
220
+ from mddriver.c of RFC 1321, it seems that it was, in fact, written from
221
+ scratch by Jiri Kuthan (a core developer of SER at that time, working for
222
+ FhG Fokus Institute). As you can see it's rather trivial and uses a data
223
+ type of SER ("str").  I didn't reimplement it as it's too trivial and
224
+ looks like there's no other way to implement it.
225
+License: RSA-MD5
226
+ License to copy and use this software is granted provided that it
227
+ is identified as the "RSA Data Security, Inc. MD5 Message-Digest
228
+ Algorithm" in all material mentioning or referencing this software
229
+ or this function.
230
+ .
231
+ License is also granted to make and use derivative works provided
232
+ that such works are identified as "derived from the RSA Data
233
+ Security, Inc. MD5 Message-Digest Algorithm" in all material
234
+ mentioning or referencing the derived work.
235
+ .
236
+ RSA Data Security, Inc. makes no representations concerning either
237
+ the merchantability of this software or the suitability of this
238
+ software for any particular purpose. It is provided "as is"
239
+ without express or implied warranty of any kind.
240
+ .
241
+ These notices must be retained in any copies of any part of this
242
+ documentation and/or software.
243
+
244
+Files: mem/dl_*
245
+Copyright: n/a
246
+License: public-domain
247
+ This is a version (aka dlmalloc) of malloc/free/realloc written by
248
+ Doug Lea and released to the public domain, as explained at
249
+ http://creativecommons.org/licenses/publicdomain.  Send questions,
250
+ comments, complaints, performance data, etc to dl@cs.oswego.edu
251
+
252
+Files: rand/isaac/*
253
+Copyright: n/a
254
+License: public-domain
255
+ By Bob Jenkins.  My random number generator, ISAAC.  Public Domain.
256
+
257
+License: ISC
258
+ Permission to use, copy, modify, and distribute this software for any
259
+ purpose with or without fee is hereby granted, provided that the above
260
+ copyright notice and this permission notice appear in all copies.
261
+ .
262
+ THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
263
+ WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
264
+ MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
265
+ ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
266
+ WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
267
+ ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
268
+ OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
269
+
270
+Files: lib/srutils/srjson.*
271
+Copyright: 2009 Dave Gamble
272
+License: MIT
273
+ Permission is hereby granted, free of charge, to any person obtaining a copy
274
+ of this software and associated documentation files (the "Software"), to deal
275
+ in the Software without restriction, including without limitation the rights
276
+ to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
277
+ copies of the Software, and to permit persons to whom the Software is
278
+ furnished to do so, subject to the following conditions:
279
+ .
280
+ The above copyright notice and this permission notice shall be included in
281
+ all copies or substantial portions of the Software.
282
+ ,
283
+ THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
284
+ IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
285
+ FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
286
+ AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
287
+ LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
288
+ OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
289
+ THE SOFTWARE.
290
+
291
+License: BSD-3-clause
292
+ Redistribution and use in source and binary forms, with or without
293
+ modification, are permitted provided that the following conditions
294
+ are met:
295
+ 1. Redistributions of source code must retain the above copyright
296
+    notice, this list of conditions and the following disclaimer.
297
+ 2. Redistributions in binary form must reproduce the above copyright
298
+    notice, this list of conditions and the following disclaimer in the
299
+    documentation and/or other materials provided with the distribution.
300
+ 4. Neither the name of the University nor the names of its contributors
301
+    may be used to endorse or promote products derived from this software
302
+    without specific prior written permission.
303
+ .
304
+ THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
305
+ ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
306
+ IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
307
+ ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
308
+ FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
309
+ DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
310
+ OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
311
+ HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
312
+ LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
313
+ OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
314
+ SUCH DAMAGE.
315
+
316
+License: BSD-2-clause
317
+ Redistribution and use in source and binary forms, with or without
318
+ modification, are permitted provided that the following conditions are met:
319
+ .
320
+  1. Redistributions of source code must retain the above copyright notice,
321
+     this list of conditions and the following disclaimer.
322
+  2. Redistributions in binary form must reproduce the above copyright
323
+     notice, this list of conditions and the following disclaimer in the
324
+     documentation and/or other materials provided with the distribution.
325
+ .
326
+ THIS SOFTWARE IS PROVIDED BY THE FREEBSD PROJECT ``AS IS'' AND ANY EXPRESS OR
327
+ IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
328
+ MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
329
+ EVENT SHALL THE FREEBSD PROJECT OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
330
+ INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
331
+ BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
332
+ DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
333
+ OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
334
+ NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
335
+ EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
0 336
new file mode 100644
... ...
@@ -0,0 +1 @@
1
+kamailio-autheph-modules binary: possible-gpl-code-linked-with-openssl
0 2
new file mode 100644
... ...
@@ -0,0 +1 @@
1
+usr/sbin
0 2
new file mode 100644
... ...
@@ -0,0 +1 @@
1
+kamailio-dnssec-modules binary: possible-gpl-code-linked-with-openssl
0 2
new file mode 100644
... ...
@@ -0,0 +1 @@
1
+kamailio-outbound-modules binary: possible-gpl-code-linked-with-openssl
0 2
new file mode 100644
... ...
@@ -0,0 +1 @@
1
+kamailio-tls-modules binary: possible-gpl-code-linked-with-openssl
0 2
new file mode 100644
... ...
@@ -0,0 +1 @@
1
+kamailio-websocket-modules binary: possible-gpl-code-linked-with-openssl
0 2
new file mode 100644
... ...
@@ -0,0 +1,39 @@
1
+Kamailio for Debian
2
+-------------------
3
+
4
+* init script check for fork=no
5
+-------------------------------
6
+
7
+The Kamailio init script will not start Kamailio on boot if fork=no is
8
+specified in the config file. The check in the initscript will match
9
+any occurrence of fork=no in the file, even inside C-style comments.
10
+
11
+You can disable this check in the init script if you wish; just comment
12
+out the calls to the check_fork function in the script. Your changes to
13
+the init script will be preserved upon upgrade, as the file is tagged
14
+as a conffile.
15
+
16
+
17
+* Kamailio setup
18
+----------------
19
+
20
+To setup Kamailio, you need to:
21
+ - configure Kamailio properly to suit your needs
22
+ - edit /etc/default/kamailio, adjust the MEMORY parameter and set
23
+   RUN_KAMAILIO to "yes"
24
+
25
+If you are building an HA cluster using heartbeat or similar, you'll want
26
+to disable the init script by running:
27
+
28
+  update-rc.d kamailio remove
29
+
30
+so that Kamailio will not be launched at system startup. You still need
31
+to set RUN_KAMAILIO to "yes" if you want to use the /etc/init.d/kamailio init
32
+script.
33
+
34
+Set the DUMP_CORE parameter in /etc/default/kamailio to "yes" if you want to
35
+get a core dump in case Kamailio crashes. The debug symbols for Kamailio are
36
+provided by the kamailio-dbg package.
37
+
38
+
39
+ -- Victor Seva <linuxmaniac@torreviejawireless.org>  Wed, 11 Dec 2013 16:07:11 +0100
0 40
new file mode 100644
... ...
@@ -0,0 +1,36 @@
1
+#
2
+# Kamailio startup options
3
+#
4
+
5
+# Set to yes to enable kamailio, once configured properly.
6
+#RUN_KAMAILIO=yes
7
+
8
+# User to run as
9
+#USER=kamailio
10
+
11
+# Group to run as
12
+#GROUP=kamailio
13
+
14
+# On systemd, to change username or group please create drop-in
15
+# /etc/systemd/system/kamailio.service.d/10-user_group.conf file, like
16
+# ```
17
+# [Service]
18
+# User=kamuser
19
+# Group=kamgroup
20
+# ```
21
+
22
+# Amount of shared and private memory to allocate
23
+# for the running Kamailio server (in Mb)
24
+#SHM_MEMORY=64
25
+#PKG_MEMORY=8
26
+
27
+# Config file
28
+#CFGFILE=/etc/kamailio/kamailio.cfg
29
+
30
+# Enable the server to leave a core file when it crashes.
31
+# Set this to 'yes' to enable Kamailio to leave a core file when it crashes
32
+# or 'no' to disable this feature. This option is case sensitive and only
33
+# accepts 'yes' and 'no' and only in lowercase letters.
34
+# On some systems it is necessary to specify a directory for the core files
35
+# to get a dump. Look into the kamailio init file for an example configuration.
36
+#DUMP_CORE=yes
0 37
new file mode 100644
... ...
@@ -0,0 +1 @@
1
+examples/*
0 2
new file mode 100644
... ...
@@ -0,0 +1,162 @@
1
+#! /bin/sh
2
+#
3
+### BEGIN INIT INFO
4
+# Provides:          kamailio
5
+# Required-Start:    $syslog $network $local_fs $remote_fs $time
6
+# Should-Start:      $named slapd mysql postgresql snmpd radiusd
7
+# Should-Stop:       $named slapd mysql postgresql snmpd radiusd
8
+# Required-Stop:     $syslog $network $local_fs $remote_fs
9
+# Default-Start:     2 3 4 5
10
+# Default-Stop:      0 1 6
11
+# Short-Description: Start the Kamailio SIP proxy server
12
+# Description:       Start the Kamailio SIP proxy server
13
+### END INIT INFO
14
+
15
+. /lib/lsb/init-functions
16
+
17
+PATH=/sbin:/bin:/usr/sbin:/usr/bin
18
+DAEMON=/usr/sbin/kamailio
19
+NAME=`basename "$0"`
20
+DESC="Kamailio SIP Server"
21
+HOMEDIR=/run/$NAME
22
+PIDFILE=$HOMEDIR/$NAME.pid
23
+DEFAULTS=/etc/default/$NAME
24
+CFGFILE=/etc/$NAME/kamailio.cfg
25
+RUN_KAMAILIO=no
26
+USER=kamailio
27
+GROUP=kamailio
28
+# Amount of shared and private memory to allocate
29
+# for the running Kamailio server (in Mb)
30
+SHM_MEMORY=64
31
+PKG_MEMORY=8
32
+DUMP_CORE=no
33
+
34
+# Do not start kamailio if fork=no is set in the config file
35
+# otherwise the boot process will just stop
36
+check_fork ()
37
+{
38
+    if grep -q "^[[:space:]]*fork[[:space:]]*=[[:space:]]*no.*" $CFGFILE; then
39
+	log_failure_msg "Not starting $DESC: fork=no specified in config file; run /etc/init.d/kamailio debug instead"
40
+	exit 0
41
+    fi
42
+}
43
+
44
+check_kamailio_config ()
45
+{
46
+	# Check if kamailio configuration is valid before starting the server
47
+	set +e
48
+	out=$($DAEMON -f $CFGFILE -M $PKG_MEMORY -c 2>&1 > /dev/null)
49
+	retcode=$?
50
+	set -e
51
+	if [ "$retcode" != '0' ]; then
52
+	    log_failure_msg "Not starting $DESC: invalid configuration file!"
53
+	    log_failure_msg
54
+	    log_failure_msg "$out"
55
+	    log_failure_msg
56
+	    exit 1
57
+	fi
<